features:
  secondary:
    - name: "Commit all changes in the Web IDE"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/web_ide/#commit-changes'
      image_url: '/images/12_9/commit-changes-webide.png'
      reporter: phikai
      stage: create
      categories:
        - 'Web IDE'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/196609'
      description: |
        In GitLab 12.7 we began [automatically staging all changes](/releases/2020/01/22/gitlab-12-7-released/#automatically-stage-all-changes-in-web-ide) in the Web IDE as a step towards better accessibility by more personas. This measure also helped to prevent accidental loss if all changes weren't properly staged prior to leaving the Web IDE.

        This was an important change in Web IDE workflows and now, we've made this even easier by removing the staging workflow completely from the Web IDE. Now when a user makes a change in the Web IDE they won't need to decide to stage or unstage their changes for their commit. They'll see a new **Changes** tab that has a list of all changed files. This is a valuable step in making git and GitLab more accessible to users in the Web IDE.
